Subject: Re: [AVT] V.21 bit representations in RFC 2833

From: Henning Schulzrinne <[email-masked]>
Date: Tue, 28 May 2002 17:03:33 -0400

Sorry for the delay in getting back to this.

Miao, Kai wrote:
> I am wondering how the V.21 bit representations specified in RFC2833 can be
> actually transported/implemented. The duration of each bit is only 3.33ms
> and a typical V.21 frame would contain multiple bits, as in V.8's CI, CM, or
> JM. 
> 
> If my codec is G723.1 which has 30ms frame size, do I make my RFC2833 packet
> contain multple bit events of V.21 that have occurred up to the point the
> packet is transmitted, in addition to the redundant events already
> transmitted in previous packets? This means that up to 9 bit events can be
> packed into the primary frame in a packet.

That would seem to be a sensible approach, rather than sending one bit 
per RTP packet. This way, each bit merely takes 64 bits!

Just curious: where did you get the number 9 from?

> 
> An underlying assumption of the standard seems to be that "packet rate is
> always greater than event rate". What would happen if it is not, as in this
> case?
> 
> Whoever has dealt with this issue, please confirm if this is the correct
> method and provide the alternative if it is not. 

I will document this in the upcoming 2833bis, thus, I'd appreciate 
comments if this doesn't work.

> 
> Thanks,
> Kai Miao 
> Intel Communications Group
> 
> _______________________________________________
> Audio/Video Transport Working Group
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/avt

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt